#
# Network cdefs
#

cdef extern from "../libfreesmartphone/freesmartphone-network.h":
    ctypedef void (*FSGSMNetworkReplyFunc) (GError *error,
                                            gpointer userdata )
    ctypedef void (*FSGSMNetworkGetStatusReplyFunc) (GHashTable *status,
                                                     GError *error,
                                                     gpointer userdata)
    ctypedef void (*FSGSMNetworkGetSubscriberNumbersReplyFunc) (gchar **numbers,
                                                           GError *error,
                                                           gpointer userdata )
    ctypedef void (*FSGSMNetworkListProvidersReplyFunc) (GPtrArray *providers,
                                                    GError *error,
                                                    gpointer userdata )
    ctypedef void (*FSGSMNetworkGetCountryCodeReplyFunc) (gchar *dial_code,
                                                     GError *error,
                                                     gpointer userdata )
    ctypedef void (*FSGSMNetworkGetHomeCountryCodeReplyFunc) (gchar *dial_code,
                                                         GError *error,
                                                         gpointer userdata )
    gboolean fso_gsm_network_get_home_country_code(FreeSmartphone *fs,
                                               FSGSMNetworkGetHomeCountryCodeReplyFunc cb,
                                               gpointer userdata)
    gboolean fso_gsm_network_get_country_code(FreeSmartphone *fs,
                                          FSGSMNetworkGetCountryCodeReplyFunc cb,
                                          gpointer userdata)
    gboolean fso_gsm_network_get_subscriber_numbers(FreeSmartphone *fs,
                                                FSGSMNetworkGetSubscriberNumbersReplyFunc cb,
                                                gpointer userdata)
    gboolean fso_gsm_network_register_with_provider(FreeSmartphone *fs,
                                                gint operator_code,
                                                FSGSMNetworkReplyFunc cb,
                                                gpointer userdata)
    gboolean fso_gsm_network_list_providers(FreeSmartphone *fs,
                                        FSGSMNetworkListProvidersReplyFunc cb,
                                        gpointer userdata)
    gboolean fso_gsm_network_get_status(FreeSmartphone *fs,
                                    FSGSMNetworkGetStatusReplyFunc cb,
                                    gpointer userdata)
    gboolean fso_gsm_network_register(FreeSmartphone *fs,
                                  FSGSMNetworkReplyFunc cb,
                                  gpointer userdata)
    ctypedef void (*FSGSMNetworkStatusSignalFunc) (GHashTable *status,
                                                   gpointer userdata)

    ctypedef void (*FSGSMNetworkSubscriberNumbersSignalFunc) (gchar **numbers,
                                                         gpointer userdata)
    gboolean fso_gsm_network_subscriber_numbers_signal_remove(FreeSmartphone *fs,
                                                          FSGSMNetworkSubscriberNumbersSignalFunc cb,
                                                          gpointer userdata)
    gboolean fso_gsm_network_subscriber_numbers_signal(FreeSmartphone *fs,
                                                   FSGSMNetworkSubscriberNumbersSignalFunc cb,
                                                   gpointer userdata)
    gboolean fso_gsm_network_status_signal_remove(FreeSmartphone *fs,
                                              FSGSMNetworkStatusSignalFunc cb,
                                              gpointer userdata)
    gboolean fso_gsm_network_status_signal(FreeSmartphone *fs,
                                       FSGSMNetworkStatusSignalFunc cb,
                                       gpointer userdata)

