#
# Phonebook cdefs
#
cdef extern from "../libfreesmartphone/freesmartphone-phonebook.h":
    ctypedef void (*FSGSMPhonebookGetStorageSpacesReplyFunc) (gchar **spaces,
                                                         GError *error,
                                                         gpointer userdata )
    ctypedef void (*FSGSMPhonebookGetDefaultStorageSpaceReplyFunc) (gchar *spaces,
                                                               GError *error,
                                                               gpointer userdata )
    ctypedef void (*FSGSMPhonebookReplyFunc) (GError *error,
                                         gpointer userdata )
    ctypedef void (*FSGSMPhonebookGetIndexBoundariesReplyFunc) (gint lowest_index,
                                                           gint highest_index,
                                                           GError *error,
                                                           gpointer userdata )
    ctypedef void (*FSGSMPhonebookRetrieveEntryReplyFunc) (gint type,
                                                      gchar *name,
                                                      gchar *contents,
                                                      GError *error,
                                                      gpointer userdata )
    gboolean fso_gsm_phonebook_get_storage_spaces(FreeSmartphone *fs,
                                              FSGSMPhonebookGetStorageSpacesReplyFunc cb,
                                              gpointer userdata)
    gboolean fso_gsm_phonebook_get_default_storage_space(FreeSmartphone *fs,
                                                     FSGSMPhonebookGetDefaultStorageSpaceReplyFunc cb,
                                                     gpointer userdata)
    gboolean fso_gsm_phonebook_set_default_storage_space(FreeSmartphone *fs,
                                                     gchar *space,
                                                     FSGSMPhonebookReplyFunc cb,
                                                     gpointer userdata)
    gboolean fso_gsm_phonebook_get_index_boundaries(FreeSmartphone *fs,
                                                FSGSMPhonebookGetIndexBoundariesReplyFunc cb,
                                                gpointer userdata)
    gboolean fso_gsm_phonebook_delete_entry(FreeSmartphone *fs,
                                        gint index,
                                        FSGSMPhonebookReplyFunc cb,
                                        gpointer userdata)
    gboolean fso_gsm_phonebook_store_entry(FreeSmartphone *fs,
                                       gint index,
                                       gint type,
                                       gchar *name,
                                       gchar *contents,
                                       FSGSMPhonebookReplyFunc cb,
                                       gpointer userdata)
    gboolean fso_gsm_phonebook_retrieve_entry(FreeSmartphone *fs,
                                          gint index,
                                          FSGSMPhonebookRetrieveEntryReplyFunc cb,
                                          gpointer userdata)

